var url = "http://api.chartlyrics.com/apiv1.asmx/SearchLyricDirect?"
var artistq = "artist="
var songq = "song="

var lastSong = ""
var lastArtist = ""

function doRequest(artist, song, cb) {
    if (lastArtist == artist && lastSong == song) return
    var query = url+artistq+artist+"&"+songq+song
    var doc = new XMLHttpRequest();
    doc.onreadystatechange = function() {
        var lyrics = "No lyrics found";
        var image = "";
        if (doc.readyState == XMLHttpRequest.HEADERS_RECEIVED) {
        } else if (doc.readyState == XMLHttpRequest.DONE) {
            lastArtist = artist
            lastSong = song
            cb("","",artist, song)
            if (doc.responseXML == null) {
                console.log("EMPTY")
            } else {
                var a = doc.responseXML.documentElement;
                for (var ii = 0; ii < a.childNodes.length; ++ii) {
                    if (a.childNodes[ii].nodeName == "Lyric") {
                        if (a.childNodes[ii].childNodes.length == 0 ) break;
                        lyrics = a.childNodes[ii].firstChild.nodeValue
                    } else
                        if (a.childNodes[ii].nodeName == "LyricCovertArtUrl") {
                            if (a.childNodes[ii].childNodes.length == 0 ) break;
                            image = a.childNodes[ii].firstChild.nodeValue
                        }
                }
                console.log("REPLY")
            }
            cb(lyrics, image, artist, song)
        }
    }
    console.debug(encodeURI(query))
    doc.open("GET",encodeURI(query) );
    doc.send();
}
